Page MenuHomePhabricator

Document new verisons of language runtimes and key libraries on Stretch grid
Closed, ResolvedPublic

Description

The migration to Stretch also means certain older versions of our support software stacks will not be available.

LanguageTrustyStretch
PHP5.x7.x
Perl5.185.24
Ruby1.92.3
Python22.72.7
Python33.43.5

And countless other smaller packages...

It seems some upgrades like PHP and Ruby might be more impactful than others.

Event Timeline

GTirloni created this task.Dec 2 2018, 6:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 2 2018, 6:38 PM
bd808 assigned this task to Bstorm.Dec 19 2018, 10:28 PM
bd808 added subscribers: Bstorm, Harej, bd808.

@Bstorm volunteered to collect information on this and give that information to @Harej so we can include it in the information we give to Toolforge users on migrating their jobs to the new grid.

bd808 renamed this task from Toolforge: Stretch migration and new software stacks to Document new verisons of language runtimes and key libraries on Stretch grid.Dec 19 2018, 10:39 PM
bd808 updated the task description. (Show Details)
bd808 moved this task from Triage to In Progress on the Toolforge board.Jan 5 2019, 5:12 PM
bd808 closed this task as Resolved.Jan 9 2019, 5:20 PM

There will probably be some updates to make to this report, but the initial state is on wikitech now.